TimelinePutResponse.TimelinePutError (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.timeline, class: TimelinePutResponse, class: TimelinePutError

Package org.apache.hadoop.yarn.api.records.timeline

# Class TimelinePutResponse.TimelinePutError

java.lang.Object
org.apache.hadoop.yarn.api.records.timeline.TimelinePutResponse.TimelinePutError

Enclosing class:
  TimelinePutResponse

@Public @Evolving public static class TimelinePutResponse.TimelinePutError extends Object
A class that holds the error code for one entity.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ACCESS_DENIED`
  Error code returned if the user is denied to access the timeline data
  `static final int`
  `EXPIRED_ENTITY`
  Error code returned if the entity start time is before the eviction period of old data.
  `static final int`
  `FORBIDDEN_RELATION`
  Error code returned if the user is denied to relate the entity to another one in different domain
  `static final int`
  `IO_EXCEPTION`
  Error code returned if an IOException is encountered when putting an entity.
  `static final int`
  `NO_DOMAIN`
  Error code returned if the entity doesn't have an valid domain ID
  `static final int`
  `NO_START_TIME`
  Error code returned when no start time can be found when putting an entity.
  `static final int`
  `SYSTEM_FILTER_CONFLICT`
  Error code returned if the user specifies the timeline system reserved filter key

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimelinePutError()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEntityId()`
  Get the entity Id
  `String`
  `getEntityType()`
  Get the entity type
  `int`
  `getErrorCode()`
  Get the error code
  `void`
  `setEntityId(String entityId)`
  Set the entity Id
  `void`
  `setEntityType(String entityType)`
  Set the entity type
  `void`
  `setErrorCode(int errorCode)`
  Set the error code to the given error code

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NO_START_TIME

    public static final int NO_START_TIME
    Error code returned when no start time can be found when putting an entity. This occurs when the entity does not already exist in the store and it is put with no start time or events specified.
    See Also:
      - Constant Field Values

  - ### IO_EXCEPTION

    public static final int IO_EXCEPTION
    Error code returned if an IOException is encountered when putting an entity.
    See Also:
      - Constant Field Values

  - ### SYSTEM_FILTER_CONFLICT

    public static final int SYSTEM_FILTER_CONFLICT
    Error code returned if the user specifies the timeline system reserved filter key
    See Also:
      - Constant Field Values

  - ### ACCESS_DENIED

    public static final int ACCESS_DENIED
    Error code returned if the user is denied to access the timeline data
    See Also:
      - Constant Field Values

  - ### NO_DOMAIN

    public static final int NO_DOMAIN
    Error code returned if the entity doesn't have an valid domain ID
    See Also:
      - Constant Field Values

  - ### FORBIDDEN_RELATION

    public static final int FORBIDDEN_RELATION
    Error code returned if the user is denied to relate the entity to another one in different domain
    See Also:
      - Constant Field Values

  - ### EXPIRED_ENTITY

    public static final int EXPIRED_ENTITY
    Error code returned if the entity start time is before the eviction period of old data.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TimelinePutError

    public TimelinePutError()

- ## Method Details

  - ### getEntityId

    public String getEntityId()
    Get the entity Id
    Returns:
      the entity Id

  - ### setEntityId

    public void setEntityId(String entityId)
    Set the entity Id
    Parameters:
      `entityId` - the entity Id

  - ### getEntityType

    public String getEntityType()
    Get the entity type
    Returns:
      the entity type

  - ### setEntityType

    public void setEntityType(String entityType)
    Set the entity type
    Parameters:
      `entityType` - the entity type

  - ### getErrorCode

    public int getErrorCode()
    Get the error code
    Returns:
      an error code

  - ### setErrorCode

    public void setErrorCode(int errorCode)
    Set the error code to the given error code
    Parameters:
      `errorCode` - an error code